#!/bin/bash

apt-get update
apt-get install cmake python3-pip -y -qq
pip3 install conan

git clone https://gitlab.heili.eu/lukas/dynuiprefresher.git
cd dynuiprefresher || exit
git checkout conansupport

conan profile new default --detect --force # Generates default profile detecting GCC and sets old ABI
conan profile update settings.compiler.libcxx=libstdc++11 default  # Sets libcxx to C++11 ABI
conan remote add bintray https://api.bintray.com/conan/lheili/LibConfig --force
conan remote add bincrafters https://api.bintray.com/conan/bincrafters/public-conan --force
mkdir -p build # create build folder
CONAN_SYSREQUIRES_MODE=enabled CONAN_SYSREQUIRES_SUDO=0 conan install . --build=missing -g none


# cleanup
conan remove -s -t -f

cd ..
rm -Rf ./dynuiprefresher
rm -rf /var/lib/apt/lists/*
rm /tmp/build.sh